#include "TicketUtils.h"

#include <QLocale>
#include <QDate>

TicketUtils::TicketUtils(QObject *parent) : QObject(parent)
{

}


QString TicketUtils::getLocaleDateString(const QLocale & qLocale, const QDate & qDate)
{
    QString dateString;

    if (qLocale.language() == QLocale::Lithuanian) {
        // QLocale::ShortFormat produces date string: "yyyy-mm-dd" ...
        // this is to long for the printer.
        dateString = qDate.toString("yy-MM-dd");
    }
    else {
        dateString = qLocale.toString(qDate, QLocale::ShortFormat);
    }

    return dateString;
}
